using CloudBuilder.Core.Authorization;
using CloudBuilder.Core.Service;
using CloudBuilder.Security.Data;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CloudBuilder.Security.Service
{
    public interface IAuthService : IService
    {
        LoginProfile Login(LoginData data);

        string Register(RegisterData data);

        JwtInfo RefreshToken(JwtInfo jwtInfo);

        LoginProfile LoginAgent(LoginData data);

        LoginProfile AmendPassword(LoginData data);

        void Logout();

        string GetRsaPublicKey();
    }
}
